
Ryzom - Bug # 1011

Status: Closed Priority: Normal
Author: rti Category: OS: Mac
Created: 07/06/2010 Assignee: rti
Updated: 08/13/2010 Due date:
Subject: Switch nlWindow from NSWindow* to NSView*
Description

This seems to be necessary to embed Cocoa NeL into external applications like object viewer qt. 
Qt's QWidget::winId() returns a NSView* if built for Cocoa.
http://doc.trolltech.com/4.6/qwidget.html#winId

History
#1 - 07/06/2010 08:46 pm - rti
- Status changed from New to Assigned
- Assignee set to rti

#2 - 07/06/2010 09:51 pm - rti
- Status changed from Assigned to Resolved
- % Done changed from 0 to 100

Applied in changeset r443.

#3 - 07/07/2010 12:08 am - rti

Applied in changeset r444.

#4 - 08/05/2010 12:59 pm - rti
- Status changed from Resolved to Closed

#5 - 08/13/2010 08:04 pm - rti
- Target version changed from Version 0.9.0 to Version 0.8.0
